' ========================================================================================
' WinFBE - FreeBASIC Editor (Windows 32/64 bit)
' Visual Designer auto generated project
' ========================================================================================

' Main application entry point.
' Place any additional global variables or #include files here.

' For your convenience, below are some of the most commonly used WinFBX library
' include files. Uncomment the files that you wish to use in the project or add
' additional ones. Refer to the WinFBX Framework Help documentation for information
' on how to use the various functions.

' #Include Once "Afx\AfxFile.inc"
' #Include Once "Afx\AfxStr.inc"
' #Include Once "Afx\CIniFile.inc"
' #Include Once "Afx\CMoney.inc"

#Include Once "Afx\AfxTime.inc"
#Include Once "Afx\CPrint.inc"
#Include Once "Afx\CTextStream.inc"
#Include Once "Afx\AfxRichEdit.inc"

declare function EditorPrintDialog() as Boolean
declare function EditorPageSetupDialog() as Boolean
declare function EditorFontDialog() as Boolean
declare function EditorEditMenuStates() as Long
declare function EditorUpdateStatusBar() as Long
declare function EditorUpdateCaption() as Long
declare function EditorOpenFile( byval wszFilename as CWSTR ) as boolean
declare function EditorOpenDialog() as boolean
declare function EditorSaveFileAs() as boolean
declare function EditorSaveFile( byval bSaveAs as Boolean = false ) as boolean

type Document
   IsNew       as Boolean
   IsUnicode   as Boolean
   wszFilename as CWSTR
   ' the popup Goto Line dialog will store its return value in
   ' the GotoLine variable. This is an easy way to pass the value 
   ' back to the frmMain code.
   GotoLine    as Long = -1    ' default to -1, invalid value
   ' Store the WindowsRegisterMessage used to interact with the
   ' FindReplace dialog.
   RegMsgFindReplace as UNIT
end type
dim shared gDoc as Document

#include once "modFindReplace.inc"
#include once "modRoutines.inc"


Application.Run(frmMain)
